[Solved] Install firefox on Wheezy

New to Debian (Or Linux in general)? Ask your questions here!

[Solved] Install firefox on Wheezy

Postby cb99 » 2012-09-10 09:16

I want to install firefox on debian wheezy.

According to this guide http://mozilla.debian.net/, I added source. My current source list is


Code: Select all
## DEBIAN
deb http://ftp.debian.org/debian/ wheezy main contrib non-free
#deb-src http://ftp.debian.org/debian/ wheezy main contrib non-free



## DEBIAN SECURITY
deb http://security.debian.org/ wheezy/updates main

deb http://ftp.debian.org/debian experimental main


I did

Code: Select all
sudo apt-get update

sudo apt-get install -t experimental iceweasel


I get

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
iceweasel : Depends: xulrunner-15.0 (>= 15.0-1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.


I tried installing xulrunner

Code: Select all
sudo apt-get install xulrunner

I get

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package xulrunner
Last edited by cb99 on 2012-09-13 07:26, edited 1 time in total.
cb99
 
Posts: 15
Joined: 2012-09-03 19:12

Re: Install firefox on Wheezy

Postby craigevil » 2012-09-10 10:15

Easier to use Synaptic.

Mark Iceweasel , then Force the versions of xulrunner and libmozjs15d

Or you can try:
apt-get -t experimental install iceweasel xulrunner-15.0 libmozjs15d
Debian Sid KDE Kernel 3.17 Thinkpad R40 Intel M 1.3 CPU 2GB RAM Radeon Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Debian upgrade script smxi | sysinfo script inxi
User avatar
craigevil
 
Posts: 5158
Joined: 2006-09-17 03:17
Location: Oz

Re: Install firefox on Wheezy

Postby cb99 » 2012-09-10 17:04

How do I fix following.

1)
Code: Select all
sudo apt-get -t experimental install iceweasel xulrunner-15.0 libmozjs15d

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
xulrunner-15.0 : Depends: libnspr4-0d (> 4.7.1-1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

2)
Code: Select all
sudo apt-get -t experimental install iceweasel xulrunner-15.0 libmozjs15d libnspr4-0d

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libnspr4-0d : Depends: libnspr4 (= 2:4.9.1-1) but 2:4.9.2-1 is to be installed
E: Unable to correct problems, you have held broken packages.


3)
Code: Select all
sudo apt-get -t experimental install iceweasel xulrunner-15.0 libmozjs15d libnspr4-0d libnspr4

Reading package lists... Done
Building dependency tree
Reading state information... Done
libnspr4 is already the newest version.
libnspr4 set to manually installed.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libnspr4-0d : Depends: libnspr4 (= 2:4.9.1-1) but 2:4.9.2-1 is to be installed
E: Unable to correct problems, you have held broken packages.
cb99
 
Posts: 15
Joined: 2012-09-03 19:12

Re: Install firefox on Wheezy

Postby craigevil » 2012-09-10 20:03

I think the problem you are running into has to do with wheezy being frozen.

You are probably going to have to add a repo for sid.
Debian Sid KDE Kernel 3.17 Thinkpad R40 Intel M 1.3 CPU 2GB RAM Radeon Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Debian upgrade script smxi | sysinfo script inxi
User avatar
craigevil
 
Posts: 5158
Joined: 2006-09-17 03:17
Location: Oz

Re: Install firefox on Wheezy

Postby cb99 » 2012-09-13 07:22

craigevil wrote:You are probably going to have to add a repo for sid.


I have installed with this tip. Thank you.
cb99
 
Posts: 15
Joined: 2012-09-03 19:12


Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 24 guests

fashionable